
## WARNING
This script does not use profiles and will overwrite your `~/.aws/` credentials files!!


## Install

### From npm repo.
`npm install node-aws-adfs-cli -g` 

You may also need to install the base module globally.

`npm install node-aws-adfs -g` 


See below if you can not use the global install option `-g` on your system.


### From git (latest)
`npm install tdelov/node-aws-adfs-cli -g` 

See below if you can not use the global install option `-g` on your system.

## AWS config file and folder.

### OSX and linux.
AWS folder! <br />
This is assumed to be there already and a default profile needs to be listed. <br />

```
mkdir ~/.aws
echo "[default]"  > ~/.aws/credentials 
echo "[default]"  > ~/.aws/config
```

### Windows.
TODO.

## Running.
The bin commands are defined in the `package.json` file. <br />
You may use `node-aws-js` or `node-aws-adfs-cli`. They are the same command.

### Switches and options
```
node-aws-js -h            # help command
  node-aws-js [OPTIONS]  
  OPTIONS:
    --email      xxx@xx.com        # your ADFS login ID
    --adfsserver login.xx.com      # your ADFS loing URL
    --awsregion  ap-southeast-2    # The AWS region. ap-southeast-2 is default
    --workgroup  some-name         # The workgroup profile names (optional)
    --profile    (profilename optional)      # "default" is default value
                                             # profile in cred file will be created if not found.
  
 
```
### Example command
``` sh
# To have the app ask or lookup values from ~/.aws/config
  node-aws-js

# Specify options on the command line.
  node-aws-js --email yourlogin@work.com --adfsserver login.uni.edu --workgroup POC-WORKGROUP --awsregion ap-southeast-2'


```

### FILES
  The parent module `node-aws-adfs` uses a config file to remember email, adfsserver, awsregion and workgroup.
  
  `vim ~/.aws/node-aws-adfs.json`
```
    {
  	   "email":"firstname.surname@work.com",
  	   "adfsserver":"login.work.com",
  	   "awsregion":"ap-southeast-2",
  	   "workgroup":"POC-WORKGROUP"
    }
    
    ~/.aws/config
    ~/.aws/credentials 
```

## Install local options
If you can not install globally `-g`, you may need to install as a local user.<br />
This link explains how to do that.<br />

http://justjs.com/posts/npm-link-developing-your-own-npm-modules-without-tears <br />
Setup npm to install into your home directory rather than in the root dir. <br />

mkdir -p ~/npm/bin

vim ~/.npmrc
```
prefix = /home/MyUsername/npm

```
vim ~/.profile

``` sh
# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/npm/bin" ] ; then
    PATH="$HOME/npm/bin:$PATH"
fi
```

``` sh
source ~/.profile
```




